Locations - Get Usage
구독에 있는 위치의 리소스에 대한 현재 사용량 수 및 제한을 가져옵니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.DataLakeStore/locations/{location}/usages?api-version=2016-11-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
공백이 없는 리소스 위치입니다. |
|
subscription
|
path | True |
string |
Microsoft Azure 구독을 고유하게 식별하는 구독 자격 증명을 가져옵니다. 구독 ID는 모든 서비스 호출에 대한 URI의 일부를 형성합니다. |
|
api-version
|
query | True |
string |
클라이언트 API 버전입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
확인 -- 현재 사용 횟수 및 제한이 검색되어 성공적으로 반환되었습니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
UsageList
샘플 요청
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.DataLakeStore/locations/WestUS/usages?api-version=2016-11-01
샘플 응답
{
"value": [
{
"unit": "Count",
"id": "/subscriptions/0f936178-0d48-4777-a7ab-47860b604941/providers/Microsoft.DataLakeStore/locations/WestUS/usages/DataLakeStoreAccounts",
"currentValue": 69,
"limit": -1,
"name": {
"value": "DataLakeStoreAccounts",
"localizedValue": "Data Lake Store Accounts"
}
}
]
}
정의
| Name | Description |
|---|---|
| Usage |
리소스 사용량을 설명합니다. |
|
Usage |
사용량 목록 작업의 응답입니다. |
|
Usage |
사용할 수 있는 사용 이름입니다. |
|
Usage |
측정 단위를 가져옵니다. |
Usage
리소스 사용량을 설명합니다.
| Name | 형식 | Description |
|---|---|---|
| currentValue |
integer (int32) |
구독에서 할당된 리소스의 현재 수를 가져옵니다. |
| id |
string |
리소스 식별자입니다. |
| limit |
integer (int32) |
구독에 할당할 수 있는 리소스의 최대 수를 가져옵니다. |
| name |
사용 유형 이름을 가져옵니다. |
|
| unit |
측정 단위를 가져옵니다. |
UsageListResult
사용량 목록 작업의 응답입니다.
| Name | 형식 | Description |
|---|---|---|
| value |
Usage[] |
스토리지 리소스 사용량 목록을 가져오거나 설정합니다. |
UsageName
사용할 수 있는 사용 이름입니다.
| Name | 형식 | Description |
|---|---|---|
| localizedValue |
string |
리소스 이름을 설명하는 지역화된 문자열을 가져옵니다. |
| value |
string |
리소스 이름을 설명하는 문자열을 가져옵니다. |
UsageUnit
측정 단위를 가져옵니다.
| 값 | Description |
|---|---|
| Count | |
| Bytes | |
| Seconds | |
| Percent | |
| CountsPerSecond | |
| BytesPerSecond |